/*---------------------
       Basic setup
----------------------*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: 'Roboto', sans-serif;
}

body {
    background-color: #2b2b2b;
    color: #f7f7f7;
}

a {
    text-decoration: none;
}



/*---------------------
     Hero Section
----------------------*/
header {
    height: 100vh;
    background: url('../img/ecorp-heroimage.png'), #121212;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.menu-logo {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
    align-items: center;
    padding: 15px 0;
}

.menu-logo img {
    max-height: 60px;
    width: auto;
}

.main-nav {
    display: flex;
    list-style: none;
}

.main-nav a {
    color: inherit;
    padding: 10px 15px;
    font-size: 18px;
    transition: color .3s;
}

.main-nav a:hover {
    color: #E41F63;
}

.main-nav li:last-child a {
    color: #E41F63;
    border: 2px solid #E41F63;
    padding: 10px 35px;
}

.main-nav li:last-child a:hover {
    background-color: #E41F63;
    color: #fff;
}

.hero-section {
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
    flex-direction: column;
    height: 100%;
    justify-content: center;
}

.hero-section h1 {
    color: #fff;
    font-weight: 500;
    font-size: 80px;
}

.header-paragraphs {
    display: flex;
    color: #ccc;
    margin-top: 200px;
}

.header-paragraphs p {
    margin: 0 30px;
}

.header-paragraphs p:first-child {
    color: #555;
    flex: 4;
    margin-left: 0;
}

.header-paragraphs p:nth-child(2) {
    flex: 1;
}

.header-paragraphs p:nth-child(3) {
    flex: 1;
    margin-right: 0;
}



/*---------------------
     Services Section
----------------------*/
.services {
    margin: 80px auto;
    max-width: 1200px;
}

.services-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.services-container h2 {
    font-size: 30px;
    font-weight: 400;
    flex: 1;
    text-align: center;
}

.services-container div {
    flex: 1;
}

.services-container div p {
    line-height: 1.8;
}

.services-btns {
    margin-top: 60px;
}

.services-btns a {
    margin: 30px;
    padding: 10px 35px;
}

.services-btns a:first-child {
    color: #E41F63;
    border: 2px solid #E41F63;
    border-radius: 3px;
    margin-left: 0;
    transition: all .3s ease-in;
}

.services a:first-child:hover {
    background-color: #E41F63;
    color: #fff;
}

.services a:last-child {
    background-color: #E41F63;
    color: #fff;
    border-radius: 3px;
    border: 2px solid #E41F63;
    transition: all .3s ease-in-out;
}

.services a:last-child:hover {
    background-color: transparent;
    color: #E41F63;
}




/*---------------------
      About Section
----------------------*/
.about {
    padding: 150px 0;
    background-color: #121212;
}

.about-us {
    max-width: 1200px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
}

.about-container {
    width: 22%;
    text-align: center;
}

.about-container img {
    width: 200px;
    border-radius: 50%;
    filter: grayscale(100%);
    transition: all .3s ease-in-out;
    cursor: pointer;
}

.about-container img:hover {
    filter: grayscale(0);
    transform: scale(1.04);
}

.about-container h2 {
    margin-top: 20px;
    font-weight: 400;
    font-size: 32px;
}

.about-container h3 {
    font-weight: 400;
    font-style: italic;
}

.about-text {
    display: flex;
    justify-content: space-around;
    align-items: center;
    max-width: 1200px;
    margin: 100px auto;
}

.about-text h2 {
    flex: 1;
    text-align: center;
    font-size: 30px;
    font-weight: 400;
}

.about-text p {
    flex: 1;
    line-height: 1.7;
    font-size: 18px;
}




/*---------------------
    Portfolio Section
----------------------*/
.portfolio {
    display: flex;
    justify-content: space-around;
    max-width: 1200px;
    margin: 100px auto;
    flex-direction: column;
}

.heading-portfolio {
    font-size: 40px;
    margin-bottom: 70px;
    border-left: 3px solid #E41F63;
    padding-left: 20px;
}

.main-portfolio {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.portfolio-container {
    width: 45%;
}

.image-container img {
    width: 100%;
}

.portfolio-container h2 {
    margin-top: 30px;
    margin-bottom: 20px;
    font-size: 30px;
    font-weight: 400;
}

.portfolio-container p {
    line-height: 1.6;
    font-size: 17px;
}

.portfolio-container:nth-child(1),
.portfolio-container:nth-child(2) {
    margin-bottom: 70px;
}

.image-container {
    position: relative;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #E41F63;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    opacity: 0;
    transition: all .3s ease-in-out;
    transform: scale(.3)
}

.image-container:hover .overlay {
    opacity: .8;
    transform: scale(1);
}



/*---------------------
     Contact Section
----------------------*/
.contact {
    background-color: #121212;
}

.contact-container {
    width: 100%;
    height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #E41F63;
    color: #fff;
}

.contact-container h2 {
    margin-right: 50px;
    font-size: 50px;
    font-weight: 400;
}

.contact-container a {
    color: inherit;
    text-transform: uppercase;
    margin-left: 50px;
    font-size: 20px;
    padding: 12px 30px;
    letter-spacing: 2px;
    border: 2px solid #fff;
    transition: all .3s ease-in-out;
}

.contact-container a:hover {
    background-color: #fff;
    color: #E41F63;
}

form {
    padding: 70px 0;
    display: flex;
    flex-direction: column;
    background-color: #121212;
    max-width: 1200px;
    margin: 0 auto;
    justify-content: space-around;
    align-items: flex-start;
}

form input, 
form textarea {
    width: 100%;
    padding: 10px;
    background-color: #121212;
    border: 1px solid #2b2b2b;
    margin: 15px 0;
}

form textarea {
    resize: none;
}

form label {
    text-transform: uppercase;
    margin-top: 10px;
}

#submit-btn {
    width: auto;
    padding: 13px 39px;
    background-color: #E41F63;
    cursor: pointer;
    border: 2px solid #E41F63;
    border-radius: 3px;
    font-size: 18px;
    color: #fff; 
    transition: all .3s ease-in;
}

#submit-btn:hover {
    background-color: transparent;
    color: #E41F63;
}




/*---------------------
         Footer
----------------------*/
footer {
    text-align: center;
    background-color: #121212;
    padding: 30px 0;
}



















